from django.urls import path
from .views import user_registration,index,about,testimonials,blog,profile,register,user_login,user_logout,get_personal_info_api
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('', index,name='index'),
    path('about', about),
    path('testimonials', testimonials),
    path('blog', blog),
    path('profile',profile,name="profile"),
    path('register', register,name='register'),
    path('registration', user_registration, name='user-registration'),
    path("user-login",user_login,name='user-login'),
    path("user-logout",user_logout,name='user-logout'),
    path("get-personal-info/<int:pk>",get_personal_info_api,name="get-personal-info")

]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
